Borrador Clon

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Clone and the translation is 71% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Anterior: Draft Stretch.svg Estiramiento
Siguiente: ArregloOrtogonal Draft OrthoArray.svg Arrow-right.svg

Draft Clone.svg Borrador Clon

Ubicación en el Menú
Modificación → Clon
Entornos de trabajo
Borrador, Arquitectura
Atajo de teclado por defecto
C L
Introducido en versión
-
Ver también
Borrador Escalar

Descripción

El Draft Clone.svg comando Borrador Clon crea copias enlazadas, clones, de los objetos seleccionados. La forma de un clon es paramétrica, se actualizará si su objeto fuente cambia. Pero un clon tiene su propia posición, rotación y escala, y sus propias Ver propiedades. Para los objetos Arquitectura el comando crea un tipo especial de clon: un clon Arquitectura.

El comando puede usarse en objetos 2D creados con el Ambiente de Trabajo Borrador o Ambiente de Trabajo Dibujante, pero también en muchos objetos 3D como los creados con el Ambiente de Trabajo Pieza, Ambiente de Trabajo DiseñoPieza o Ambiente de Trabajo Arquitectura. Los clones de objetos 2D pueden utilizarse en PartDesign Cuerpos.

Draft Clone example.jpg

Borrador Clon junto a su objeto de origen

Utilización

  1. Opcionalmente selecciona uno o más objetos.
  2. Hay varias formas de invocar el comando:
    • Pulsar el Draft Clone.svg Borrador Clon.
    • Seleccione la opción Modificación → Draft Clone.svg Clon en el menú.
    • Utilice el atajo de teclado: C y luego L.
  3. Si aún no ha seleccionado un objeto: seleccione un objeto en la Vista 3D.

Propiedades

Ver también: Editor de propiedades.

Un objeto creado con el comando Clonar Borrador deriva de un Pieza Pieza2DObjeto, de un objeto Pieza Característica o, si se crea un Arch Clone, del tipo de objeto del objeto fuente. Hereda todas las propiedades de ese objeto. Un clon derivado de uno de los dos primeros objetos también tiene las siguientes propiedades adicionales:

Datos

Borrador

  • DatosFusible (Bool): especifica si las formas superpuestas en el clon se fusionan o no.
  • DatosObjetos (ListaEnlacesGlobal): especifica los objetos que se clonan.
  • DatosEscala (Vector): especifica los factores de escala X, Y y Z.

Guión

Ver también: Documentación de la API autogenerada y Fundamentos de FreeCAD Guión.

Para crear un clon utilice el método make_clone (introducido en la versión 0.19) del módulo Draft. Este método sustituye al método obsoleto clone.

cloned_object = make_clone(obj, delta=None, forcedraft=False)
  • obj contiene los objetos a clonar. Puede ser un solo objeto o una lista de objetos.
  • delta es el vector de desplazamiento que se aplicará al clon.
  • Si forcedraft es False y obj contiene un único Objeto Arquitectura se crea un Arch Clone. Establezca forcedraft a True para crear un Clon de Borrador en su lugar.
  • cloned_object se devuelve con el objeto clonado.

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)

cloned_object.Fuse = True

doc.recompute()


Arrow-left.svg Anterior: Draft Stretch.svg Estiramiento
Siguiente: ArregloOrtogonal Draft OrthoArray.svg Arrow-right.svg